// eslint-disable-next-line no-undef
export default defineAppConfig({
  pages: [
    'pages/home/index',
    'pages/login/index',
    'pages/index3/index',
    'pages/index4/index',
    'pages/index5/index',
    'pages/issue/add/index',
    'pages/reporting/index',
    'pages/reporting/detail/index',
    'pages/reset-password/index',
  ],
  window: {
    // backgroundColor: '#1A7565',
    backgroundTextStyle: 'light',
    navigationBarBackgroundColor: '#1A7565',
    navigationBarTitleText: '文明创城',
    navigationBarTextStyle: 'white'
  },
  permission: {
    "scope.userLocation": {
      desc: "你的位置信息将用于定位点位" // 高速公路行驶持续后台定位
    }
  },
  requiredPrivateInfos: [
    'getLocation'
  ],
  setting: {
    urlCheck: false,
  }
})
